<?xml version="1.0" encoding="UTF-8"?>
<hibernate-configuration>
 <session-factory>
  <property name="jakarta.persistence.jdbc.driver">org.postgresql.Driver</property>
  <property name="jakarta.persistence.jdbc.url">jdbc:postgresql://localhost:5432/scheduler</property>
  <property name="jakarta.persistence.jdbc.user">scheduler</property>
  <property name="jakarta.persistence.jdbc.password">scheduler</property>
  <property name="hibernate.format_sql">true</property>
  <property name="hibernate.show_sql">false</property>
  
  <!-- Hikari Connection Pool -->
  <property name="hibernate.connection.provider_class">org.hibernate.hikaricp.internal.HikariCPConnectionProvider</property>
  <property name="hibernate.hikari.maximumPoolSize">10</property>
 </session-factory>
</hibernate-configuration>
